from MAXPacket import PushButtonState


class MAXDevice:
    def __init__(self, address):
        self.address = address


class MAXPushButton(MAXDevice):
    def __init__(self, address):
        super(MAXPushButton, self).__init__(address)
        self.state = PushButtonState.UNKNOWN
